# Generated from atd-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name atd

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: The assistant technical director of your website. It does the dirty work so you can see the big picture
License: MIT
URL: https://gitlab.com/izwick-schachter/atd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.6.4
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-minitest) >= 2.4
# BuildRequires: rubygem(guard-minitest) < 3
BuildArch: noarch

%description
The assistant technical director of your website. It does the dirty work so
you can see the big picture.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/atd.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.5.0-1
- Initial package
